Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3940)
@@ -145,7 +145,7 @@
 	 * 
 	 * if import CoNLLU annotations in the corpus with the same name already exists, it is replaced
 	 * 
-	 * @param corpus
+	 * @param mainCorpus
 	 * @param conlluDirectory
 	 * @param propertiesPrefix
 	 * @return the number of imported annotations
@@ -209,7 +209,7 @@
 	 * 
 	 * if import CoNLLU annotations in the corpus with the same name already exists, it is replaced
 	 * 
-	 * @param corpus
+	 * @param mainCorpus
 	 * @param conlluFile
 	 * @param propertiesPrefix
 	 * @param normalize_word_ids
Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ToCoNLL2009.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ToCoNLL2009.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ToCoNLL2009.java	(revision 3940)
@@ -25,7 +25,6 @@
 	/**
 	 * To CoNLL2009.
 	 *
-	 * @param outfile the outfile, where is result is saved
 	 * @param corpus the corpus or sub-corpus to export
 	 * @param sentenceUnit the StructuralUnitProperty that identify a sentence
 	 * @param word the word property
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/PartitionPropertiesComputer.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/PartitionPropertiesComputer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/PartitionPropertiesComputer.java	(revision 3940)
@@ -41,9 +41,7 @@
 	/**
 	 * dump the result in the console.
 	 *
-	 * @param maxvalue
-	 *            the maxvalue
-	 * @return the string
+	 * @return the string result
 	 */
 	public String dump() {
 		StringBuffer buff = new StringBuffer();
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3940)
@@ -462,8 +462,7 @@
 	/**
 	 * dump the result in the console.
 	 *
-	 * @param maxvalue the maxvalue
-	 * @return the string
+	 * @return the string result
 	 */
 	public String dumpStrutureStats() {
 		StringBuffer buff = new StringBuffer();
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/Dictionary.java	(revision 3940)
@@ -258,7 +258,6 @@
 
 	/**
 	 * Initialize the JPA persistence database
-	 * @param kr
 	 * @return
 	 */
 	public EntityManager initializeEntityManager() throws Exception {
@@ -468,8 +467,7 @@
 
 	/**
 	 * 
-	 * @param newEntries
-	 * @return the entries that collides with existing entries
+	 * @param newEntryProperties the entries that collides with existing entries
 	 */
 	public void mergeEntryProperties(ArrayList<EntryProperty> newEntryProperties) {
 
@@ -486,7 +484,7 @@
 
 	/**
 	 * 
-	 * @param newEntries
+	 * @param newEntryPropertyTypes
 	 * @return the entries that collides with existing entries
 	 */
 	public ArrayList<EntryPropertyType[]> mergeEntryPropertyTypes(ArrayList<EntryPropertyType> newEntryPropertyTypes) {
@@ -692,7 +690,6 @@
 	 * Use conversion rules to translate EntryId properties
 	 * 
 	 * @param type
-	 * @param newType
 	 * @param conversionRules
 	 * @return the new properties
 	 */
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java	(revision 3940)
@@ -48,7 +48,6 @@
 
 	/**
 	 * Initialize the JPA persistence database
-	 * @param kr
 	 * @return
 	 */
 	public boolean initializeDB() throws Exception {
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/HSQLFunctions.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/HSQLFunctions.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/HSQLFunctions.java	(revision 3940)
@@ -56,7 +56,6 @@
 /**
  * set of SQL functions for HSQL.
  *
- * @return the connection
  * @author mdecorde
  */
 public class HSQLFunctions {
@@ -369,8 +368,7 @@
 	 * Creates the table.
 	 *
 	 * @param name the name
-	 * @param argsname the argsname
-	 * @param types the types
+	 * @param idColumn the column name to create
 	 * @throws SQLException 
 	 */
 	public void createTable(String name, String idColumn) throws SQLException
@@ -389,8 +387,7 @@
 	 * Creates the table.
 	 *
 	 * @param name the name
-	 * @param argsname the argsname
-	 * @param types the types
+	 * @param argsnames the argsname
 	 * @throws SQLException 
 	 */
 	public void createTable(String name, List<String> argsnames) throws SQLException {
@@ -405,8 +402,7 @@
 	 * Creates the table.
 	 *
 	 * @param name the name
-	 * @param argsname the argsname
-	 * @param types the types
+	 * @param argsnames the argsname
 	 * @throws SQLException 
 	 */
 	public void createTable(String name, String argsnames[]) throws SQLException {
@@ -422,7 +418,7 @@
 	 * Creates the table.
 	 *
 	 * @param name the name
-	 * @param argsname the argsname
+	 * @param argsnames the argsnames
 	 * @param types the types
 	 * @throws SQLException 
 	 */
@@ -450,17 +446,6 @@
 		//tableColumns.put(name, argsnames);
 	}
 
-	/**
-	 * Import ordered csv table.
-	 *
-	 * @param TableName the table name
-	 * @param argsname the argsname
-	 * @param types the types
-	 * @param csvFile the csv file
-	 * @param separator the separator
-	 * @param encoding the encoding
-	 * @return the int
-	 */
 	/*	public int ImportOrderedCSVTable(String TableName, List<String> argsname, List<String> types, File csvFile, String separator, String encoding)
 	{
 		argsname.add("n");
@@ -762,7 +747,6 @@
 	 *
 	 * @param table the table
 	 * @param file the file
-	 * @return the java.lang. object
 	 * @throws SQLException 
 	 */
 	public void test(String table, String file) throws SQLException {
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 3940)
@@ -343,7 +343,6 @@
 	/**
 	 * Display the entries that matches one regular expression pattern
 	 * 
-	 * @param patternPerColumn
 	 * @return the number of entries that matches
 	 * @throws SQLException
 	 */
@@ -690,7 +689,6 @@
 	 * @param tsvFile
 	 * @return
 	 * @throws SQLException
-	 * @throws IOException
 	 */
 	public boolean print(File tsvFile, int n, String sortColumn,
 			String sortLocaleAndStrengh) throws FileNotFoundException, UnsupportedEncodingException, SQLException {
@@ -703,7 +701,6 @@
 	 * @param tsvFile
 	 * @return
 	 * @throws SQLException
-	 * @throws IOException
 	 */
 	public boolean print(File tsvFile, int n, String sortColumn,
 			String sortLocaleAndStrengh, boolean writeColumnsHeader) throws FileNotFoundException, UnsupportedEncodingException, SQLException {
@@ -715,10 +712,9 @@
 	/**
 	 * print this dictionary N first lines in console
 	 * 
-	 * @param tsvFile
+	 * @param N
 	 * @return
 	 * @throws SQLException
-	 * @throws IOException
 	 */
 	public boolean print(int N) throws SQLException {
 		return print(System.out, N);
@@ -788,9 +784,7 @@
 	 * Print randomly lines of this dictionary
 	 * 
 	 * @param p the probability (between 0 and 1) to select a line
-	 * @return
 	 * @throws SQLException
-	 * @throws IOException
 	 */
 	public void printRandom(float p) throws SQLException {
 		if (!populated) {System.out.println("NOT POPULATED: "+name);return;}
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 3940)
@@ -20,7 +20,7 @@
 	/**
 	 * Creates a string title, shared by charts engine implementations, for the progression chart from the specified result.
 	 * 
-	 * @param the progression result
+	 * @param progression the progression result
 	 * @param doCumulative
 	 * @return the titles string
 	 */
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java	(revision 3940)
@@ -70,7 +70,6 @@
 	 * This method is called by the SWT charts components provider when just after a chart is created.
 	 * 
 	 * @param result
-	 * @param preferencesNode
 	 */
 	public void updateChart(R result) {
 		Log.severe("ChartCreator.updateChart(): not implemented. This method is intended to be overridden in subclasses."); //$NON-NLS-1$
@@ -105,7 +104,6 @@
 	 * Gets the color used to draw the shapes of the series.
 	 * 
 	 * @param chart
-	 * @param index
 	 * @return
 	 */
 	public abstract ArrayList<Color> getSeriesShapesColors(Object chart);
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3940)
@@ -188,7 +188,6 @@
 	/**
 	 * Gets the name of the first engine stored in the engines order preference.
 	 * 
-	 * @param enginesOrder
 	 * @return
 	 */
 	//FIXME: SJ: not fully tested and unfinished feature
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3940)
@@ -138,7 +138,7 @@
 	/**
 	 * Creates a new ChartResult child of the specified parent.
 	 * 
-	 * @param uuid
+	 * @param parametersNodePath
 	 * @param parent
 	 */
 	public ChartResult(String parametersNodePath, TXMResult parent) {
@@ -396,7 +396,6 @@
 	 * Clears the parameters used for last rendering.
 	 * Dedicated to force a chart recreation, e.g. for cloning the chart result or for dynamically changing the chart type .
 	 * 
-	 * @throws Exception
 	 */
 	public void clearLastRenderingParameters() {
 		this.clearLastParameters(Parameter.RENDERING);
@@ -435,7 +434,6 @@
 	 * Sets the chart dirty state to true if a rendering parameter has changed since last computing.
 	 * Also sets the chart dirty to true if the computing dirty state is equals to true.
 	 * 
-	 * @return
 	 * @throws Exception
 	 */
 	public void updateChartDirtyFromHistory() throws Exception {
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3940)
@@ -257,7 +257,7 @@
 
 	/**
 	 * Sets the monochrome color of the theme using a string as "r,g,b".
-	 * @param monochromeColor the monochromeColor to set
+	 * @param color the monochromeColor to set
 	 */
 	public void setMonochromeColor(String color) {
 		String[] rgb = color.split(","); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 3940)
@@ -166,7 +166,6 @@
 	/**
 	 * Creates the charts engine order string with | separator from the specified engines list.
 	 * 
-	 * @param chartsEngineNames
 	 * @return
 	 */
 	public String createEnginesOrder() {
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3940)
@@ -193,7 +193,6 @@
 	/**
 	 * Checks if the charts engine can create a chart according to the specified result and chart type.
 	 * 
-	 * @param resultDataType
 	 * @param chartType
 	 * @return <code>True</code> if a chart creator can be found, otherwise <code>false</code>
 	 */
@@ -204,7 +203,6 @@
 	/**
 	 * Checks if the charts engine can create a chart according to the specified result data type.
 	 * 
-	 * @param resultDataType
 	 * @return <code>True</code> if a chart creator can be found, otherwise <code>false</code>
 	 */
 	public boolean canCreateChart(ChartResult result) {
@@ -217,7 +215,6 @@
 	 * 
 	 * @param resultDataType
 	 * @param chartCreator
-	 * @param chartType
 	 */
 	public void addChartCreator(Class resultDataType, ChartCreator chartCreator) {
 		
@@ -536,7 +533,6 @@
 	 * image size is set to 1024x576
 	 * 
 	 * @param result
-	 * @param outputFormatSvg
 	 * @return
 	 */
 	public File writeResultFile(ChartResult result, String outputFormat) {
@@ -549,7 +545,6 @@
 	 * @param result
 	 * @param imageWidth image width
 	 * @param imageHeight image height
-	 * @param outputFormatSvg
 	 * @return
 	 */
 	public File writeChartResultFile(ChartResult result, int imageWidth, int imageHeight, String outputFormat) {
@@ -560,7 +555,6 @@
 	 * Export a chart in a file
 	 * 
 	 * @param result
-	 * @param outputFormatSvg
 	 * @return
 	 */
 	public abstract File exportResultToFile(ChartResult result, File file, int imageWidth, int imageHeight, String outputFormat);
Index: TXM/trunk/bundles/org.txm.chartsengine.graphstream.rcp/src/org/txm/chartsengine/graphstream/rcp/swt/GSComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.graphstream.rcp/src/org/txm/chartsengine/graphstream/rcp/swt/GSComposite.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.graphstream.rcp/src/org/txm/chartsengine/graphstream/rcp/swt/GSComposite.java	(revision 3940)
@@ -29,7 +29,6 @@
 	/**
 	 * @param chartEditor
 	 * @param parent
-	 * @param style
 	 */
 	public GSComposite(ChartEditor<ChartResult> chartEditor, Composite parent) {
 		super(chartEditor, parent, SWT.EMBEDDED);
Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3940)
@@ -200,7 +200,7 @@
 	/**
 	 * Do save as.
 	 * 
-	 * @see org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()
+	 * @see "org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()"
 	 */
 	@Override
 	public void doSaveAs() {
@@ -410,8 +410,6 @@
 	/**
 	 * Creates the part control.
 	 * 
-	 * @param parent
-	 *            the parent
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3940)
@@ -306,7 +306,7 @@
 	
 	/**
 	 * 
-	 * @param class of plugin to find
+	 * @param classOfPlugin of plugin to find
 	 * @param imageFilePath
 	 * @return
 	 */
@@ -315,7 +315,7 @@
 	}
 	
 	/**
-	 * @param objectOfPlugin
+	 * @param classOfPlugin
 	 * @param imageFilePath
 	 * @return
 	 */
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorExtension.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorExtension.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorExtension.java	(revision 3940)
@@ -39,25 +39,21 @@
 	
 	/**
 	 * implement this command to do something before TXMEditor._createPartControl() is called
-	 * @return
 	 */
 	public abstract void notifyStartOfCreatePartControl() throws Exception;
 	
 	/**
 	 * implement this command to do something after TXMEditor._createPartControl() is called
-	 * @return
 	 */
 	public abstract void notifyEndOfCreatePartControl() throws Exception;
 	
 	/**
 	 * implement this command to do something before TXMEditor._compute() is called
-	 * @return
 	 */
 	public abstract void notifyStartOfCompute() throws Exception;
 	
 	/**
 	 * implement this command to do something after TXMEditor._compute() is called
-	 * @return
 	 */
 	public abstract void notifyEndOfCompute() throws Exception;
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3940)
@@ -93,7 +93,6 @@
 	/**
 	 * Check if all necessary parameters are set
 	 * 
-	 * @param project
 	 * @return true if all necessary parameters are set
 	 */
 	public final boolean check() {
@@ -112,7 +111,6 @@
 	/**
 	 * Check if all necessary parameters are set
 	 * 
-	 * @param project
 	 * @return true if all necessary parameters are set
 	 */
 	public abstract boolean checkFields();
@@ -154,7 +152,7 @@
 	 * 
 	 * NOT USED YET
 	 * 
-	 * @param xmlFile
+	 * @param document
 	 */
 	public boolean save(Document document) {
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3940)
@@ -33,10 +33,6 @@
 	 * @param toolkit2
 	 * @param form2
 	 * @param parent
-	 * @param stylesave
-	 * 
-	 * @param moduleParams
-	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
 	public TRSSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3940)
@@ -61,7 +61,6 @@
 	 * @param toolkit2
 	 * @param form2
 	 * @param parent
-	 * @param stylesave
 	 * 
 	 * @param moduleParams
 	 * @param importName temporary parameter to detect if import module is xtzLoader.groovy
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3940)
@@ -159,7 +159,6 @@
 	 * Instantiates a new main page.
 	 *
 	 * @param editor the editor
-	 * @param corpusname
 	 */
 	public CorpusPage(ImportFormEditor editor) {
 		super(editor, TXMUIMessages.parameters, TXMUIMessages.parameters);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3940)
@@ -109,7 +109,7 @@
 	/**
 	 * Do save as.
 	 *
-	 * @see org.eclipse.part.EditorPart#doSaveAs()
+	 * @see "org.eclipse.part.EditorPart#doSaveAs()"
 	 */
 	@Override
 	public void doSaveAs() {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3940)
@@ -911,7 +911,6 @@
 	 * Computes the TXMResult if all required parameters are set then refreshes the editor UI.
 	 * Also loads and saves some parameters from result to Widgets fields and from Widgets fields to result.
 	 * 
-	 * @param result
 	 * @param update force the editor to update its result parameters
 	 */
 	@Override
@@ -1906,7 +1905,6 @@
 	/**
 	 * Adds a mouse adapter to the specified composite that executes a command link specified by its id on double click event.
 	 * 
-	 * @param table
 	 * @param commandId
 	 */
 	public static void addDoubleClickCommandListener(Composite composite, final String commandId) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/IProvidingMultiPageEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/IProvidingMultiPageEditorInput.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/IProvidingMultiPageEditorInput.java	(revision 3940)
@@ -55,7 +55,6 @@
 	 * Get the data source ({@link IEditorInput} for each editor given by.
 	 *
 	 * @return a list of IEditorInput instances.
-	 * {@link #getEditor()}.
 	 */
 	public List<IEditorInput> getEditorInputs();
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3940)
@@ -104,8 +104,6 @@
 
 	/**
 	 * 
-	 * @param wordids2 all the words to highlight
-	 * @param lineids2 the words to highlight better and to scroll to
 	 */
 	public void initializeProgressListener() {
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMResultEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMResultEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/ITXMResultEditor.java	(revision 3940)
@@ -4,7 +4,6 @@
 
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IEditorPart;
-import org.eclipse.ui.part.EditorPart;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.utils.JobHandler;
 
@@ -16,7 +15,6 @@
 	 * Computes the TXMResult if all required parameters are set then refreshes the editor UI.
 	 * Also loads and saves some parameters from result to Widgets fields and from Widgets fields to result.
 	 * 
-	 * @param result
 	 * @param update force the editor to update its result parameters
 	 */
 	public JobHandler compute(boolean update);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java	(revision 3940)
@@ -152,7 +152,6 @@
 	 * @param viewer
 	 * @param column
 	 * @param index
-	 * @return
 	 */
 	public void addSelectionAdapter(final TableViewer viewer, final TableColumn column, final int index) {
 		column.addSelectionListener(new SelectionAdapter() {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3940)
@@ -66,7 +66,6 @@
 	}
 	/**
 	 * 
-	 * @param editor may be null, will be used by the command to display its result
 	 * @param arguments array of command id + (parameters+values).
 	 * 
 	 *            <pre>
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java	(revision 3940)
@@ -25,8 +25,6 @@
 	
 	/**
 	 * Creates an editor input and stores the specified TXM result as source object for further result computing.
-	 * @param sourceResult
-	 * @param preferencesNodeQualifier
 	 */
 	public TXMResultEditorInput(T result) {
 		this.result = result;
@@ -43,7 +41,7 @@
 
 	/**
 	 * Sets the result data associated with the editor input.
-	 * @param result the result to set
+	 * @param resultData the result to set
 	 */
 	public void setResult(T resultData) {
 		this.result = resultData;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 3940)
@@ -111,8 +111,6 @@
 	 * Sets the visibility state of the specified composite.
 	 * The mechanism is based on GridData.exclude to hide the composite therefore the composite must have a GridData as layout data.
 	 * 
-	 * @param composite
-	 * 
 	 */
 	public void setVisible(String id, boolean visible) {
 		if (groups.containsKey(id) && !groups.get(id).isDisposed()) {
@@ -209,7 +207,7 @@
 	 * @param showGroup
 	 * @param selectionListener
 	 * @param modes The modes names
-	 * @param choicesSelectionListeners the corresponding mode selectionListener
+	 * @param modeSelectionListeners the corresponding mode selectionListener
 	 */
 	public Group installAlternativesGroup(final String groupTitle, String buttonToolTip, String openIconFilePath, String closeIconFilePath, boolean showGroup,
 			SelectionListener selectionListener, List<String> modes, List<SelectionListener> modeSelectionListeners) {
@@ -254,9 +252,6 @@
 	/**
 	 * Creates a <code>Group</code> with some configuration to make it visible/invisible and a <code>ToolItem</code> attached to the specified tool bar to show/hide this group.
 	 * 
-	 * @param composite
-	 * @param colSpan
-	 * @param toolBar
 	 * @param groupTitle
 	 * @param buttonToolTip
 	 * @param openIconFilePath
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 3940)
@@ -113,7 +113,7 @@
 	/**
 	 * Shows an error message in the status line.
 	 *
-	 * @param string the string
+	 * @param message the error message string
 	 */
 	public static void error(final String message) {
 		//return;
@@ -131,7 +131,7 @@
 	/**
 	 * Shows an error message in the status line and keeps it.
 	 *
-	 * @param string the string
+	 * @param message the message string
 	 */
 	public static void error(final String message, boolean keep) {
 		//return;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java	(revision 3940)
@@ -83,10 +83,8 @@
 	 * @param title the title
 	 * @param values the values
 	 * @param defaultValue the default value (may be null)
-	 * @param comboStyle if null combo is SINGLE and READONLY
 	 */
-	public ComboDialog(Shell parentShell, String title, List<String> values,
-			String defaultValue) {
+	public ComboDialog(Shell parentShell, String title, List<String> values, String defaultValue) {
 		this(parentShell, title, values, defaultValue, null);
 		
 	}
